---
title: "微博帖子详情 API (V1)"
description: "检索通过帖子ID标识的微博帖子详情。用于查找已知帖子，以进行内容审查、存档或相关互动分析。"
aiUsagePrompt: true
---

# 微博帖子详情 API \(V1\)

<ApiTester
  method="GET"
  :path='JSON.parse("\"/api/weibo/get-weibo-detail/v1\"")'
  :summary='JSON.parse("\"帖子详情 (V1)\"")'
  openapiDefinitionUrl="https://docs.justoneapi.com/openapi/weibo/post-details-v1-zh.json"
  openapiVersion="3.1.0"
  :parameters='JSON.parse("[{\"name\":\"token\",\"in\":\"query\",\"description\":\"API 访问令牌。\",\"required\":true,\"schema\":{\"type\":\"string\"}},{\"name\":\"id\",\"in\":\"query\",\"description\":\"微博帖子ID。\",\"required\":true,\"schema\":{\"type\":\"string\"}}]")'
  :requestBody='JSON.parse("null")'
  :responses='JSON.parse("{\"200\":{\"description\":\"好的\",\"content\":{\"application/json\":{\"schema\":{\"if\":{\"properties\":{\"code\":{\"const\":0}},\"required\":[\"code\"]},\"then\":{\"properties\":{\"data\":{\"type\":[\"object\",\"null\"],\"description\":\"微博帖子详情。帖子不可用时，此值可能为 null。\",\"properties\":{\"canonical\":{\"type\":\"string\",\"description\":\"随帖子返回的规范链接元素，以 HTML 文本表示。\"},\"status\":{\"type\":\"object\",\"description\":\"所查询的微博帖子。\",\"properties\":{\"retweeted_status\":{\"type\":\"object\",\"description\":\"转发时附带的原帖信息，存在时可用。原帖作者信息可能为 null。\",\"properties\":{\"id\":{\"type\":\"string\",\"description\":\"以字符串表示的微博帖子数字 ID。\"},\"mid\":{\"type\":\"string\",\"description\":\"以字符串表示的微博消息 ID。\"},\"bid\":{\"type\":\"string\",\"description\":\"微博帖子的字母数字短 ID。\"},\"created_at\":{\"type\":\"string\",\"description\":\"微博发布时的时间，保留微博原始时间格式。\"},\"text\":{\"type\":\"string\",\"description\":\"微博返回的帖子正文，可能含 HTML 标记。\"},\"textLength\":{\"type\":\"integer\",\"description\":\"微博返回的帖子文本长度。\"},\"source\":{\"type\":\"string\",\"description\":\"微博展示的帖子发布来源标签，存在时可用。\"},\"isLongText\":{\"type\":\"boolean\",\"description\":\"微博是否将此帖标记为长文。\"},\"is_paid\":{\"type\":\"boolean\",\"description\":\"微博是否将此帖标记为付费内容。\"},\"ad_marked\":{\"type\":\"boolean\",\"description\":\"微博是否将此帖标记为广告。\"},\"can_edit\":{\"type\":\"boolean\",\"description\":\"当前响应上下文是否可编辑帖子。\"},\"favorited\":{\"type\":\"boolean\",\"description\":\"当前响应上下文是否标记为已收藏此帖。\"},\"visible\":{\"type\":\"object\",\"description\":\"此帖返回的可见性设置。\",\"properties\":{\"type\":{\"type\":\"integer\",\"description\":\"微博返回的可见性数字代码。\"},\"list_id\":{\"type\":\"integer\",\"description\":\"关联可见性名单的数字 ID。\"},\"list_idstr\":{\"type\":\"string\",\"description\":\"以文本表示的关联可见性名单 ID。\"}}},\"user\":{\"type\":[\"object\",\"null\"],\"description\":\"帖子附带的公开作者信息。\",\"properties\":{\"id\":{\"type\":\"integer\",\"description\":\"微博用户的数字 ID。\"},\"screen_name\":{\"type\":\"string\",\"description\":\"微博账号显示名称。\"},\"description\":{\"type\":\"string\",\"description\":\"公开个人简介。\"},\"profile_image_url\":{\"type\":\"string\",\"description\":\"用户资料的头像地址。\"},\"avatar_hd\":{\"type\":\"string\",\"description\":\"高清头像地址。\"},\"profile_url\":{\"type\":\"string\",\"description\":\"微博返回的个人主页链接。\"},\"cover_image_phone\":{\"type\":\"string\",\"description\":\"移动端个人主页封面图片地址。\"},\"verified\":{\"type\":\"boolean\",\"description\":\"微博是否将此账号标记为已认证。\"},\"verified_type\":{\"type\":\"integer\",\"description\":\"微博记录的账号认证数字类型。\"},\"verified_type_ext\":{\"type\":\"integer\",\"description\":\"补充的账号认证数字分类。\"},\"verified_reason\":{\"type\":\"string\",\"description\":\"账号展示的认证说明。\"},\"statuses_count\":{\"type\":\"integer\",\"description\":\"该账号返回的发帖数。\"},\"follow_count\":{\"type\":\"integer\",\"description\":\"微博返回的该账号关注数。\"},\"followers_count\":{\"type\":\"string\",\"description\":\"以文本返回的粉丝数，可能采用缩写格式。\"},\"followers_count_str\":{\"type\":\"string\",\"description\":\"用于展示的粉丝数文本。\"},\"following\":{\"type\":\"boolean\",\"description\":\"当前查看账号是否标记为已关注作者。\"},\"follow_me\":{\"type\":\"boolean\",\"description\":\"作者是否标记为已关注当前查看账号。\"},\"gender\":{\"type\":\"string\",\"description\":\"公开资料记录的性别代码。\"},\"mbrank\":{\"type\":\"integer\",\"description\":\"微博返回的会员等级。\"},\"urank\":{\"type\":\"integer\",\"description\":\"微博返回的账号等级。\"}}},\"reposts_count\":{\"type\":\"integer\",\"description\":\"微博返回的转发数。\"},\"comments_count\":{\"type\":\"integer\",\"description\":\"微博返回的评论数。\"},\"attitudes_count\":{\"type\":\"integer\",\"description\":\"微博返回的表态数。\"},\"favorites_count\":{\"type\":\"integer\",\"description\":\"微博返回的收藏数。\"},\"pending_approval_count\":{\"type\":\"integer\",\"description\":\"待审核评论数。\"},\"comment_manage_info\":{\"type\":\"object\",\"description\":\"此帖返回的评论管理设置。\",\"properties\":{\"comment_permission_type\":{\"type\":\"integer\",\"description\":\"评论权限的数字设置。\"},\"approval_comment_type\":{\"type\":\"integer\",\"description\":\"评论审核的数字设置。\"},\"comment_sort_type\":{\"type\":\"integer\",\"description\":\"评论排序的数字设置。\"},\"comment_anon_type\":{\"type\":\"integer\",\"description\":\"匿名评论的数字设置。\"}}},\"pic_num\":{\"type\":\"integer\",\"description\":\"此帖返回的图片数量。\"},\"pic_ids\":{\"type\":\"array\",\"description\":\"帖子附带的图片 ID 列表，可能为空。\"},\"page_info\":{\"type\":\"object\",\"description\":\"随帖子返回的内容卡片，例如话题或站内视频，存在时可用。\",\"properties\":{\"type\":{\"type\":\"string\",\"description\":\"微博内容卡片的类型标签。\"},\"object_type\":{\"type\":\"integer\",\"description\":\"微博记录的内容对象数字类型。\"},\"object_id\":{\"type\":\"string\",\"description\":\"内容卡片关联的微博内容对象 ID。\"},\"page_title\":{\"type\":\"string\",\"description\":\"内容卡片展示的标题。\"},\"title\":{\"type\":\"string\",\"description\":\"内容卡片返回的标题字段，可能为空字符串。\"},\"content1\":{\"type\":\"string\",\"description\":\"内容卡片返回的第一行文字。\"},\"content2\":{\"type\":\"string\",\"description\":\"内容卡片返回的第二行文字。\"},\"page_pic\":{\"type\":\"object\",\"description\":\"内容卡片的图片信息。\",\"properties\":{\"pid\":{\"type\":\"string\",\"description\":\"微博图片 ID。\"},\"url\":{\"type\":\"string\",\"description\":\"内容卡片的图片地址。\"},\"width\":{\"type\":\"string\",\"description\":\"以文本表示的图片宽度，单位为像素。\"},\"height\":{\"type\":\"string\",\"description\":\"以文本表示的图片高度，单位为像素。\"}}},\"video_orientation\":{\"type\":\"string\",\"description\":\"微博返回的视频画面方向标签。\"},\"play_count\":{\"type\":\"string\",\"description\":\"以展示文本表示的播放量，可能采用缩写格式。\"},\"media_info\":{\"type\":\"object\",\"description\":\"站内视频的播放元数据，存在时可用。\",\"properties\":{\"duration\":{\"type\":\"number\",\"description\":\"播放元数据返回的视频时长。\"},\"stream_url\":{\"type\":\"string\",\"description\":\"微博返回的视频流地址。\"},\"stream_url_hd\":{\"type\":\"string\",\"description\":\"微博返回的高清视频流地址。\"}}},\"urls\":{\"type\":\"object\",\"description\":\"按格式区分的可用视频地址。\",\"properties\":{\"mp4_hd_mp4\":{\"type\":\"string\",\"description\":\"高清 MP4 地址，存在时可用。\"},\"mp4_ld_mp4\":{\"type\":\"string\",\"description\":\"较低清晰度的 MP4 地址，存在时可用。\"}}}}},\"title\":{\"type\":\"object\",\"description\":\"此帖附带的标题信息。\",\"properties\":{\"text\":{\"type\":\"string\",\"description\":\"展示的标题文字。\"}}}}},\"id\":{\"type\":\"string\",\"description\":\"以字符串表示的微博帖子数字 ID。\"},\"mid\":{\"type\":\"string\",\"description\":\"以字符串表示的微博消息 ID。\"},\"bid\":{\"type\":\"string\",\"description\":\"微博帖子的字母数字短 ID。\"},\"created_at\":{\"type\":\"string\",\"description\":\"微博发布时的时间，保留微博原始时间格式。\"},\"text\":{\"type\":\"string\",\"description\":\"微博返回的帖子正文，可能含 HTML 标记。\"},\"raw_text\":{\"type\":\"string\",\"description\":\"微博单独返回时的纯文本正文。\"},\"textLength\":{\"type\":\"integer\",\"description\":\"微博返回的帖子文本长度。\"},\"source\":{\"type\":\"string\",\"description\":\"微博展示的帖子发布来源标签，存在时可用。\"},\"status_title\":{\"type\":\"string\",\"description\":\"微博展示的帖子标题文字。\"},\"isLongText\":{\"type\":\"boolean\",\"description\":\"微博是否将此帖标记为长文。\"},\"is_paid\":{\"type\":\"boolean\",\"description\":\"微博是否将此帖标记为付费内容。\"},\"ad_marked\":{\"type\":\"boolean\",\"description\":\"微博是否将此帖标记为广告。\"},\"region_name\":{\"type\":\"string\",\"description\":\"帖子展示的地区标签。\"},\"can_edit\":{\"type\":\"boolean\",\"description\":\"当前响应上下文是否可编辑帖子。\"},\"favorited\":{\"type\":\"boolean\",\"description\":\"当前响应上下文是否标记为已收藏此帖。\"},\"visible\":{\"type\":\"object\",\"description\":\"此帖返回的可见性设置。\",\"properties\":{\"type\":{\"type\":\"integer\",\"description\":\"微博返回的可见性数字代码。\"},\"list_id\":{\"type\":\"integer\",\"description\":\"关联可见性名单的数字 ID。\"}}},\"user\":{\"type\":\"object\",\"description\":\"帖子附带的公开作者信息。\",\"properties\":{\"id\":{\"type\":\"integer\",\"description\":\"微博用户的数字 ID。\"},\"screen_name\":{\"type\":\"string\",\"description\":\"微博账号显示名称。\"},\"description\":{\"type\":\"string\",\"description\":\"公开个人简介。\"},\"profile_image_url\":{\"type\":\"string\",\"description\":\"用户资料的头像地址。\"},\"avatar_hd\":{\"type\":\"string\",\"description\":\"高清头像地址。\"},\"profile_url\":{\"type\":\"string\",\"description\":\"微博返回的个人主页链接。\"},\"cover_image_phone\":{\"type\":\"string\",\"description\":\"移动端个人主页封面图片地址。\"},\"verified\":{\"type\":\"boolean\",\"description\":\"微博是否将此账号标记为已认证。\"},\"verified_type\":{\"type\":\"integer\",\"description\":\"微博记录的账号认证数字类型。\"},\"verified_type_ext\":{\"type\":\"integer\",\"description\":\"补充的账号认证数字分类。\"},\"verified_reason\":{\"type\":\"string\",\"description\":\"账号展示的认证说明。\"},\"statuses_count\":{\"type\":\"integer\",\"description\":\"该账号返回的发帖数。\"},\"follow_count\":{\"type\":\"integer\",\"description\":\"微博返回的该账号关注数。\"},\"followers_count\":{\"type\":\"string\",\"description\":\"以文本返回的粉丝数，可能采用缩写格式。\"},\"followers_count_str\":{\"type\":\"string\",\"description\":\"用于展示的粉丝数文本。\"},\"following\":{\"type\":\"boolean\",\"description\":\"当前查看账号是否标记为已关注作者。\"},\"follow_me\":{\"type\":\"boolean\",\"description\":\"作者是否标记为已关注当前查看账号。\"},\"gender\":{\"type\":\"string\",\"description\":\"公开资料记录的性别代码。\"},\"mbrank\":{\"type\":\"integer\",\"description\":\"微博返回的会员等级。\"},\"urank\":{\"type\":\"integer\",\"description\":\"微博返回的账号等级。\"}}},\"reposts_count\":{\"type\":\"integer\",\"description\":\"微博返回的转发数。\"},\"comments_count\":{\"type\":\"integer\",\"description\":\"微博返回的评论数。\"},\"attitudes_count\":{\"type\":\"integer\",\"description\":\"微博返回的表态数。\"},\"favorites_count\":{\"type\":\"integer\",\"description\":\"微博返回的收藏数。\"},\"pending_approval_count\":{\"type\":\"integer\",\"description\":\"待审核评论数。\"},\"multi_attitude\":{\"type\":\"array\",\"description\":\"按表态类型拆分的数据，存在时可用。\",\"items\":{\"type\":\"object\",\"description\":\"单种表态的计数条目。\",\"properties\":{\"type\":{\"type\":\"integer\",\"description\":\"表态类型的数字代码。\"},\"count\":{\"type\":\"integer\",\"description\":\"该类型的表态数量。\"}}}},\"most_attitude_type\":{\"type\":\"integer\",\"description\":\"微博返回的最多表态类型的数字代码。\"},\"comment_manage_info\":{\"type\":\"object\",\"description\":\"此帖返回的评论管理设置。\",\"properties\":{\"comment_permission_type\":{\"type\":\"integer\",\"description\":\"评论权限的数字设置。\"},\"approval_comment_type\":{\"type\":\"integer\",\"description\":\"评论审核的数字设置。\"},\"comment_sort_type\":{\"type\":\"integer\",\"description\":\"评论排序的数字设置。\"},\"comment_anon_type\":{\"type\":\"integer\",\"description\":\"匿名评论的数字设置。\"}}},\"forbid_bullet_screens\":{\"type\":\"boolean\",\"description\":\"是否标记为禁用弹幕。\"},\"pic_num\":{\"type\":\"integer\",\"description\":\"此帖返回的图片数量。\"},\"pic_ids\":{\"type\":\"array\",\"description\":\"帖子附带的图片 ID 列表，可能为空。\",\"items\":{\"type\":\"string\",\"description\":\"微博图片 ID。\"}},\"thumbnail_pic\":{\"type\":\"string\",\"description\":\"返回时表示首张图片的缩略图地址。\"},\"bmiddle_pic\":{\"type\":\"string\",\"description\":\"返回时表示首张图片的中等尺寸地址。\"},\"original_pic\":{\"type\":\"string\",\"description\":\"微博原图字段中的地址，存在时可用。\"},\"pics\":{\"type\":\"array\",\"description\":\"微博随帖子返回的图片详情，存在时可用。\",\"items\":{\"type\":\"object\",\"description\":\"帖子附带的一张图片。\",\"properties\":{\"pid\":{\"type\":\"string\",\"description\":\"微博图片 ID。\"},\"size\":{\"type\":\"string\",\"description\":\"该图片版本的尺寸标签。\"},\"url\":{\"type\":\"string\",\"description\":\"此图片版本的地址。\"},\"geo\":{\"type\":\"object\",\"description\":\"图片尺寸及裁剪标记。\",\"properties\":{\"width\":{\"type\":\"integer\",\"description\":\"图片宽度，单位为像素。\"},\"height\":{\"type\":\"integer\",\"description\":\"图片高度，单位为像素。\"},\"croped\":{\"type\":\"boolean\",\"description\":\"微博是否将此图标记为已裁剪。\"}}},\"large\":{\"type\":\"object\",\"description\":\"较大尺寸的图片版本，存在时可用。\",\"properties\":{\"url\":{\"type\":\"string\",\"description\":\"较大尺寸图片版本的地址。\"},\"size\":{\"type\":\"string\",\"description\":\"该图片版本的尺寸标签。\"},\"geo\":{\"type\":\"object\",\"description\":\"图片尺寸及裁剪标记。\",\"properties\":{\"width\":{\"type\":\"string\",\"description\":\"以文本表示的图片宽度，单位为像素。\"},\"height\":{\"type\":\"string\",\"description\":\"以文本表示的图片高度，单位为像素。\"},\"croped\":{\"type\":\"boolean\",\"description\":\"微博是否将此图标记为已裁剪。\"}}}}}}}},\"pic_focus_point\":{\"type\":\"array\",\"description\":\"图片焦点区域列表，存在时可用。\",\"items\":{\"type\":\"object\",\"description\":\"关联一张图片的焦点区域。\",\"properties\":{\"pic_id\":{\"type\":\"string\",\"description\":\"微博图片 ID。\"},\"focus_point\":{\"type\":\"object\",\"description\":\"微博返回的焦点区域坐标与大小。\",\"properties\":{\"left\":{\"type\":\"integer\",\"description\":\"焦点区域的左侧坐标。\"},\"top\":{\"type\":\"integer\",\"description\":\"焦点区域的顶部坐标。\"},\"width\":{\"type\":\"integer\",\"description\":\"焦点区域宽度。\"},\"height\":{\"type\":\"number\",\"description\":\"焦点区域高度。\"}}}}}},\"page_info\":{\"type\":\"object\",\"description\":\"随帖子返回的内容卡片，例如话题或站内视频，存在时可用。\",\"properties\":{\"type\":{\"type\":\"string\",\"description\":\"微博内容卡片的类型标签。\"},\"object_type\":{\"type\":\"integer\",\"description\":\"微博记录的内容对象数字类型。\"},\"object_id\":{\"type\":\"string\",\"description\":\"内容卡片关联的微博内容对象 ID。\"},\"page_title\":{\"type\":\"string\",\"description\":\"内容卡片展示的标题。\"},\"title\":{\"type\":\"string\",\"description\":\"内容卡片返回的标题字段，可能为空字符串。\"},\"content1\":{\"type\":\"string\",\"description\":\"内容卡片返回的第一行文字。\"},\"content2\":{\"type\":\"string\",\"description\":\"内容卡片返回的第二行文字。\"},\"page_pic\":{\"type\":\"object\",\"description\":\"内容卡片的图片信息。\",\"properties\":{\"pid\":{\"type\":\"string\",\"description\":\"微博图片 ID。\"},\"url\":{\"type\":\"string\",\"description\":\"内容卡片的图片地址。\"},\"width\":{\"type\":\"string\",\"description\":\"以文本表示的图片宽度，单位为像素。\"},\"height\":{\"type\":\"string\",\"description\":\"以文本表示的图片高度，单位为像素。\"}}},\"video_orientation\":{\"type\":\"string\",\"description\":\"微博返回的视频画面方向标签。\"},\"play_count\":{\"type\":\"string\",\"description\":\"以展示文本表示的播放量，可能采用缩写格式。\"},\"media_info\":{\"type\":\"object\",\"description\":\"站内视频的播放元数据，存在时可用。\",\"properties\":{\"duration\":{\"type\":\"number\",\"description\":\"播放元数据返回的视频时长。\"},\"stream_url\":{\"type\":\"string\",\"description\":\"微博返回的视频流地址。\"},\"stream_url_hd\":{\"type\":\"string\",\"description\":\"微博返回的高清视频流地址。\"}}},\"urls\":{\"type\":\"object\",\"description\":\"按格式区分的可用视频地址。\",\"properties\":{\"mp4_hd_mp4\":{\"type\":\"string\",\"description\":\"高清 MP4 地址，存在时可用。\"},\"mp4_ld_mp4\":{\"type\":\"string\",\"description\":\"较低清晰度的 MP4 地址，存在时可用。\"}}}}}}}}}}},\"allOf\":[{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}]}}}},\"400\":{\"description\":\"请求参数或请求体无效\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"401\":{\"description\":\"访问令牌无效或未激活\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"403\":{\"description\":\"权限不足\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"429\":{\"description\":\"请求速率或每日配额已超限\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"500\":{\"description\":\"服务器内部错误\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"503\":{\"description\":\"服务暂时不可用\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}}}")'
  :servers='JSON.parse("[{\"url\":\"https://api.justoneapi.com\",\"description\":\"全球生产 API（默认）\"}]")'
  :security='JSON.parse("[]")'
  :securitySchemes='JSON.parse("{}")'
  :schemas='JSON.parse("{}")'
/>

<ApiHealthSection :api='JSON.parse("\"/api/weibo/get-weibo-detail/v1\"")' />

<p>检索通过帖子ID标识的微博帖子详情。用于查找已知帖子，以进行内容审查、存档或相关互动分析。</p>

## 请求参数

<div class="api-doc-table api-doc-table--params">

| 参数名 | 位置 | 类型 | 必填 | 默认值 | 说明 |
| --- | --- | --- | --- | --- | --- |
| <code>token</code> | query | <code>string</code> | 是 | - | API 访问令牌。 |
| <code>id</code> | query | <code>string</code> | 是 | - | 微博帖子ID。 |

</div>

## 代码示例

::: code-group

```bash [🐚 cURL]
curl --max-time 120 -X GET 'https://api.justoneapi.com/api/weibo/get-weibo-detail/v1?token=YOUR_API_KEY&id=VALUE'
```

```text [🤖 AI 提示词]
我想使用 JustOneAPI 提供的“帖子详情 (V1)”接口。
接入地址: https://api.justoneapi.com。
接口路径: /api/weibo/get-weibo-detail/v1?token=YOUR_API_KEY&id=VALUE
接口地址: BASE_URL + /api/weibo/get-weibo-detail/v1?token=YOUR_API_KEY&id=VALUE
HTTP 方法: GET
身份验证: 在 URL 中传入 token 查询参数。
OpenAPI 定义: https://docs.justoneapi.com/openapi/weibo/post-details-v1-zh.json

请求参数说明:
- token (query): API 访问令牌。 (必填)
- id (query): 微博帖子ID。 (必填)

返回格式: 请根据实际 Content-Type 安全处理 JSON 或文本响应。

响应处理与错误码：
1. 需通过返回体中的 "code" 字段判断业务结果（code 为 0 表示成功）。
2. 超时建议：建议将请求超时时间设置为 120 秒；如果 120 秒偏长，请至少设置为 60 秒，但可能会有少量请求因超时而未接收到结果。
3. 业务码说明：
   - 0: 成功
   - 100: Token 无效或已失效
   - 301: 采集失败，请重试
   - 302: 超出速率限制
   - 303: 超出每日配额
   - 400: 参数错误
   - 500: 内部服务器错误
   - 600: 权限不足
   - 601: 账户余额不足
   - 602: TOKEN 限额超限
4. code 601 表示账户共享余额不足。code 602 表示当前 API TOKEN 自身的累计消费上限已达到。TOKEN 限额不是资金划拨，多个 TOKEN 仍共享同一个账户余额。

请帮我用我擅长的编程语言写一个脚本来调用这个接口，并处理返回结果。
```

```python [🐍 Python]
import requests

BASE_URL = "https://api.justoneapi.com"  # 由 OpenAPI servers 提供

url = BASE_URL + "/api/weibo/get-weibo-detail/v1?token=YOUR_API_KEY&id=VALUE"
response = requests.get(url, timeout=120)
print(response.status_code)
if response.content:
    content_type = response.headers.get("content-type", "").lower()
    if "json" in content_type:
        try:
            print(response.json())
        except ValueError:
            print(response.text)
    elif content_type.startswith("text/") or "xml" in content_type or content_type.split(";", 1)[0].strip() in {"application/javascript", "application/x-www-form-urlencoded", "application/graphql"}:
        print(response.text)
    else:
        with open("response.bin", "wb") as output:
            output.write(response.content)
        print(f"Saved {len(response.content)} bytes to response.bin")
```

```js [🌐 JavaScript]
const BASE_URL = "https://api.justoneapi.com"; // 由 OpenAPI servers 提供
const url = BASE_URL + "/api/weibo/get-weibo-detail/v1?token=YOUR_API_KEY&id=VALUE";

const response = await fetch(url, {
  method: "GET",
  signal: AbortSignal.timeout(120000)
});
console.log(response.status);
const responseBytes = await response.arrayBuffer();
if (responseBytes.byteLength) {
  const contentType = (response.headers.get("content-type") || "").toLowerCase();
  const mediaType = contentType.split(";", 1)[0].trim();
  const textual = contentType.startsWith("text/") || contentType.includes("json") || contentType.includes("xml") || ["application/javascript", "application/x-www-form-urlencoded", "application/graphql"].includes(mediaType);
  if (textual) {
    const responseText = new TextDecoder().decode(responseBytes);
    let data = responseText;
    if (contentType.includes("json")) {
      try { data = JSON.parse(responseText); } catch { /* Keep the raw body. */ }
    }
    console.log(data);
  } else {
    console.log(`Received ${responseBytes.byteLength} binary bytes`);
  }
}
```

```java [☕ Java]
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.time.Duration;
import java.nio.charset.StandardCharsets;
import java.nio.file.Files;
import java.nio.file.Path;

public class Main {
    public static void main(String[] args) throws Exception {
        final String BASE_URL = "https://api.justoneapi.com"; // 由 OpenAPI servers 提供
        final String url = BASE_URL + "/api/weibo/get-weibo-detail/v1?token=YOUR_API_KEY&id=VALUE";

        HttpClient client = HttpClient.newBuilder().connectTimeout(Duration.ofSeconds(120)).build();
        HttpRequest.Builder builder = HttpRequest.newBuilder()
            .uri(URI.create(url))
            .timeout(Duration.ofSeconds(120))
            .method("GET", HttpRequest.BodyPublishers.noBody());

        HttpRequest request = builder.build();

        HttpResponse<byte[]> response = client.send(request, HttpResponse.BodyHandlers.ofByteArray());
        System.out.println(response.statusCode());
        String contentType = response.headers().firstValue("content-type").orElse("").toLowerCase();
        String mediaType = contentType.split(";", 2)[0].trim();
        if (contentType.startsWith("text/") || contentType.contains("json") || contentType.contains("xml") || mediaType.equals("application/javascript") || mediaType.equals("application/x-www-form-urlencoded") || mediaType.equals("application/graphql")) {
            System.out.println(new String(response.body(), StandardCharsets.UTF_8));
        } else {
            Files.write(Path.of("response.bin"), response.body());
            System.out.println("Saved " + response.body().length + " bytes to response.bin");
        }
    }
}
```

```go [🐹 Go]
package main

import (
	"fmt"
	"io"
	"os"
	"strings"
	"net/http"
	"time"
)

const BASE_URL = "https://api.justoneapi.com" // 由 OpenAPI servers 提供

func main() {
	client := &http.Client{Timeout: 120 * time.Second}
	url := BASE_URL + "/api/weibo/get-weibo-detail/v1?token=YOUR_API_KEY&id=VALUE"
	req, _ := http.NewRequest("GET", url, nil)
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	fmt.Println(resp.StatusCode)
	bodyBytes, _ := io.ReadAll(resp.Body)
	contentType := strings.ToLower(resp.Header.Get("Content-Type"))
	mediaType := strings.TrimSpace(strings.SplitN(contentType, ";", 2)[0])
	if strings.HasPrefix(contentType, "text/") || strings.Contains(contentType, "json") || strings.Contains(contentType, "xml") || mediaType == "application/javascript" || mediaType == "application/x-www-form-urlencoded" || mediaType == "application/graphql" {
		fmt.Println(string(bodyBytes))
	} else {
		os.WriteFile("response.bin", bodyBytes, 0600)
		fmt.Printf("Saved %d bytes to response.bin\n", len(bodyBytes))
	}
}
```

```php [🐘 PHP]
<?php
$BASE_URL = 'https://api.justoneapi.com'; // 由 OpenAPI servers 提供
$url = $BASE_URL . '/api/weibo/get-weibo-detail/v1?token=YOUR_API_KEY&id=VALUE';

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_TIMEOUT, 120);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
$status = curl_getinfo($ch, CURLINFO_RESPONSE_CODE);
$contentType = strtolower((string) curl_getinfo($ch, CURLINFO_CONTENT_TYPE));
curl_close($ch);
echo $status . PHP_EOL;
$mediaType = trim(explode(';', $contentType, 2)[0]);
if (str_starts_with($contentType, 'text/') || str_contains($contentType, 'json') || str_contains($contentType, 'xml') || in_array($mediaType, ['application/javascript', 'application/x-www-form-urlencoded', 'application/graphql'], true)) {
    echo $response;
} else {
    file_put_contents('response.bin', $response);
    echo 'Saved ' . strlen($response) . ' bytes to response.bin' . PHP_EOL;
}
```

:::

<div style="text-align: right; margin-top: -20px; margin-bottom: 20px;">
<a href="/openapi/weibo/post-details-v1-zh.json" target="_blank" style="font-size: 12px; color: var(--vp-c-text-3); text-decoration: none; opacity: 0.8;">[OpenAPI 定义 (JSON)]</a>
</div>

## 返回字段

业务成功时（`code = 0`）的主要返回字段。

<div class="api-doc-table api-doc-table--response">

| 字段路径 | 类型 | 说明 |
| --- | --- | --- |
| <code>data</code> | <code>object &#124; null</code> | 微博帖子详情。帖子不可用时，此值可能为 null。 |
| <code>data.canonical</code> | <code>string</code> | 随帖子返回的规范链接元素，以 HTML 文本表示。 |
| <code>data.status</code> | <code>object</code> | 所查询的微博帖子。 |
| <code>data.status.retweeted_status</code> | <code>object</code> | 转发时附带的原帖信息，存在时可用。原帖作者信息可能为 null。 |
| <code>data.status.retweeted_status.id</code> | <code>string</code> | 以字符串表示的微博帖子数字 ID。 |
| <code>data.status.retweeted_status.mid</code> | <code>string</code> | 以字符串表示的微博消息 ID。 |
| <code>data.status.retweeted_status.bid</code> | <code>string</code> | 微博帖子的字母数字短 ID。 |
| <code>data.status.retweeted_status.created_at</code> | <code>string</code> | 微博发布时的时间，保留微博原始时间格式。 |
| <code>data.status.retweeted_status.text</code> | <code>string</code> | 微博返回的帖子正文，可能含 HTML 标记。 |
| <code>data.status.retweeted_status.textLength</code> | <code>integer</code> | 微博返回的帖子文本长度。 |
| <code>data.status.retweeted_status.source</code> | <code>string</code> | 微博展示的帖子发布来源标签，存在时可用。 |
| <code>data.status.retweeted_status.isLongText</code> | <code>boolean</code> | 微博是否将此帖标记为长文。 |
| <code>data.status.retweeted_status.is_paid</code> | <code>boolean</code> | 微博是否将此帖标记为付费内容。 |
| <code>data.status.retweeted_status.ad_marked</code> | <code>boolean</code> | 微博是否将此帖标记为广告。 |
| <code>data.status.retweeted_status.can_edit</code> | <code>boolean</code> | 当前响应上下文是否可编辑帖子。 |
| <code>data.status.retweeted_status.favorited</code> | <code>boolean</code> | 当前响应上下文是否标记为已收藏此帖。 |
| <code>data.status.retweeted_status.visible</code> | <code>object</code> | 此帖返回的可见性设置。 |
| <code>data.status.retweeted_status.visible.type</code> | <code>integer</code> | 微博返回的可见性数字代码。 |
| <code>data.status.retweeted_status.visible.list_id</code> | <code>integer</code> | 关联可见性名单的数字 ID。 |
| <code>data.status.retweeted_status.visible.list_idstr</code> | <code>string</code> | 以文本表示的关联可见性名单 ID。 |
| <code>data.status.retweeted_status.user</code> | <code>object &#124; null</code> | 帖子附带的公开作者信息。 |
| <code>data.status.retweeted_status.user.id</code> | <code>integer</code> | 微博用户的数字 ID。 |
| <code>data.status.retweeted_status.user.screen_name</code> | <code>string</code> | 微博账号显示名称。 |
| <code>data.status.retweeted_status.user.description</code> | <code>string</code> | 公开个人简介。 |
| <code>data.status.retweeted_status.user.profile_image_url</code> | <code>string</code> | 用户资料的头像地址。 |
| <code>data.status.retweeted_status.user.avatar_hd</code> | <code>string</code> | 高清头像地址。 |
| <code>data.status.retweeted_status.user.profile_url</code> | <code>string</code> | 微博返回的个人主页链接。 |
| <code>data.status.retweeted_status.user.cover_image_phone</code> | <code>string</code> | 移动端个人主页封面图片地址。 |
| <code>data.status.retweeted_status.user.verified</code> | <code>boolean</code> | 微博是否将此账号标记为已认证。 |
| <code>data.status.retweeted_status.user.verified_type</code> | <code>integer</code> | 微博记录的账号认证数字类型。 |
| <code>data.status.retweeted_status.user.verified_type_ext</code> | <code>integer</code> | 补充的账号认证数字分类。 |
| <code>data.status.retweeted_status.user.verified_reason</code> | <code>string</code> | 账号展示的认证说明。 |
| <code>data.status.retweeted_status.user.statuses_count</code> | <code>integer</code> | 该账号返回的发帖数。 |
| <code>data.status.retweeted_status.user.follow_count</code> | <code>integer</code> | 微博返回的该账号关注数。 |
| <code>data.status.retweeted_status.user.followers_count</code> | <code>string</code> | 以文本返回的粉丝数，可能采用缩写格式。 |
| <code>data.status.retweeted_status.user.followers_count_str</code> | <code>string</code> | 用于展示的粉丝数文本。 |
| <code>data.status.retweeted_status.user.following</code> | <code>boolean</code> | 当前查看账号是否标记为已关注作者。 |
| <code>data.status.retweeted_status.user.follow_me</code> | <code>boolean</code> | 作者是否标记为已关注当前查看账号。 |
| <code>data.status.retweeted_status.user.gender</code> | <code>string</code> | 公开资料记录的性别代码。 |
| <code>data.status.retweeted_status.user.mbrank</code> | <code>integer</code> | 微博返回的会员等级。 |
| <code>data.status.retweeted_status.user.urank</code> | <code>integer</code> | 微博返回的账号等级。 |
| <code>data.status.retweeted_status.reposts_count</code> | <code>integer</code> | 微博返回的转发数。 |
| <code>data.status.retweeted_status.comments_count</code> | <code>integer</code> | 微博返回的评论数。 |
| <code>data.status.retweeted_status.attitudes_count</code> | <code>integer</code> | 微博返回的表态数。 |
| <code>data.status.retweeted_status.favorites_count</code> | <code>integer</code> | 微博返回的收藏数。 |
| <code>data.status.retweeted_status.pending_approval_count</code> | <code>integer</code> | 待审核评论数。 |
| <code>data.status.retweeted_status.comment_manage_info</code> | <code>object</code> | 此帖返回的评论管理设置。 |
| <code>data.status.retweeted_status.comment_manage_info.comment_permission_type</code> | <code>integer</code> | 评论权限的数字设置。 |
| <code>data.status.retweeted_status.comment_manage_info.approval_comment_type</code> | <code>integer</code> | 评论审核的数字设置。 |
| <code>data.status.retweeted_status.comment_manage_info.comment_sort_type</code> | <code>integer</code> | 评论排序的数字设置。 |
| <code>data.status.retweeted_status.comment_manage_info.comment_anon_type</code> | <code>integer</code> | 匿名评论的数字设置。 |
| <code>data.status.retweeted_status.pic_num</code> | <code>integer</code> | 此帖返回的图片数量。 |
| <code>data.status.retweeted_status.pic_ids</code> | <code>array</code> | 帖子附带的图片 ID 列表，可能为空。 |
| <code>data.status.retweeted_status.page_info</code> | <code>object</code> | 随帖子返回的内容卡片，例如话题或站内视频，存在时可用。 |
| <code>data.status.retweeted_status.page_info.type</code> | <code>string</code> | 微博内容卡片的类型标签。 |
| <code>data.status.retweeted_status.page_info.object_type</code> | <code>integer</code> | 微博记录的内容对象数字类型。 |
| <code>data.status.retweeted_status.page_info.object_id</code> | <code>string</code> | 内容卡片关联的微博内容对象 ID。 |
| <code>data.status.retweeted_status.page_info.page_title</code> | <code>string</code> | 内容卡片展示的标题。 |
| <code>data.status.retweeted_status.page_info.title</code> | <code>string</code> | 内容卡片返回的标题字段，可能为空字符串。 |
| <code>data.status.retweeted_status.page_info.content1</code> | <code>string</code> | 内容卡片返回的第一行文字。 |
| <code>data.status.retweeted_status.page_info.content2</code> | <code>string</code> | 内容卡片返回的第二行文字。 |
| <code>data.status.retweeted_status.page_info.page_pic</code> | <code>object</code> | 内容卡片的图片信息。 |
| <code>data.status.retweeted_status.page_info.page_pic.pid</code> | <code>string</code> | 微博图片 ID。 |
| <code>data.status.retweeted_status.page_info.page_pic.url</code> | <code>string</code> | 内容卡片的图片地址。 |
| <code>data.status.retweeted_status.page_info.page_pic.width</code> | <code>string</code> | 以文本表示的图片宽度，单位为像素。 |
| <code>data.status.retweeted_status.page_info.page_pic.height</code> | <code>string</code> | 以文本表示的图片高度，单位为像素。 |
| <code>data.status.retweeted_status.page_info.video_orientation</code> | <code>string</code> | 微博返回的视频画面方向标签。 |
| <code>data.status.retweeted_status.page_info.play_count</code> | <code>string</code> | 以展示文本表示的播放量，可能采用缩写格式。 |
| <code>data.status.retweeted_status.page_info.media_info</code> | <code>object</code> | 站内视频的播放元数据，存在时可用。 |
| <code>data.status.retweeted_status.page_info.media_info.duration</code> | <code>number</code> | 播放元数据返回的视频时长。 |
| <code>data.status.retweeted_status.page_info.media_info.stream_url</code> | <code>string</code> | 微博返回的视频流地址。 |
| <code>data.status.retweeted_status.page_info.media_info.stream_url_hd</code> | <code>string</code> | 微博返回的高清视频流地址。 |
| <code>data.status.retweeted_status.page_info.urls</code> | <code>object</code> | 按格式区分的可用视频地址。 |
| <code>data.status.retweeted_status.page_info.urls.mp4_hd_mp4</code> | <code>string</code> | 高清 MP4 地址，存在时可用。 |
| <code>data.status.retweeted_status.page_info.urls.mp4_ld_mp4</code> | <code>string</code> | 较低清晰度的 MP4 地址，存在时可用。 |
| <code>data.status.retweeted_status.title</code> | <code>object</code> | 此帖附带的标题信息。 |
| <code>data.status.retweeted_status.title.text</code> | <code>string</code> | 展示的标题文字。 |
| <code>data.status.id</code> | <code>string</code> | 以字符串表示的微博帖子数字 ID。 |
| <code>data.status.mid</code> | <code>string</code> | 以字符串表示的微博消息 ID。 |
| <code>data.status.bid</code> | <code>string</code> | 微博帖子的字母数字短 ID。 |
| <code>data.status.created_at</code> | <code>string</code> | 微博发布时的时间，保留微博原始时间格式。 |
| <code>data.status.text</code> | <code>string</code> | 微博返回的帖子正文，可能含 HTML 标记。 |
| <code>data.status.raw_text</code> | <code>string</code> | 微博单独返回时的纯文本正文。 |
| <code>data.status.textLength</code> | <code>integer</code> | 微博返回的帖子文本长度。 |
| <code>data.status.source</code> | <code>string</code> | 微博展示的帖子发布来源标签，存在时可用。 |
| <code>data.status.status_title</code> | <code>string</code> | 微博展示的帖子标题文字。 |
| <code>data.status.isLongText</code> | <code>boolean</code> | 微博是否将此帖标记为长文。 |
| <code>data.status.is_paid</code> | <code>boolean</code> | 微博是否将此帖标记为付费内容。 |
| <code>data.status.ad_marked</code> | <code>boolean</code> | 微博是否将此帖标记为广告。 |
| <code>data.status.region_name</code> | <code>string</code> | 帖子展示的地区标签。 |
| <code>data.status.can_edit</code> | <code>boolean</code> | 当前响应上下文是否可编辑帖子。 |
| <code>data.status.favorited</code> | <code>boolean</code> | 当前响应上下文是否标记为已收藏此帖。 |
| <code>data.status.visible</code> | <code>object</code> | 此帖返回的可见性设置。 |
| <code>data.status.visible.type</code> | <code>integer</code> | 微博返回的可见性数字代码。 |
| <code>data.status.visible.list_id</code> | <code>integer</code> | 关联可见性名单的数字 ID。 |
| <code>data.status.user</code> | <code>object</code> | 帖子附带的公开作者信息。 |
| <code>data.status.user.id</code> | <code>integer</code> | 微博用户的数字 ID。 |
| <code>data.status.user.screen_name</code> | <code>string</code> | 微博账号显示名称。 |
| <code>data.status.user.description</code> | <code>string</code> | 公开个人简介。 |
| <code>data.status.user.profile_image_url</code> | <code>string</code> | 用户资料的头像地址。 |
| <code>data.status.user.avatar_hd</code> | <code>string</code> | 高清头像地址。 |
| <code>data.status.user.profile_url</code> | <code>string</code> | 微博返回的个人主页链接。 |
| <code>data.status.user.cover_image_phone</code> | <code>string</code> | 移动端个人主页封面图片地址。 |
| <code>data.status.user.verified</code> | <code>boolean</code> | 微博是否将此账号标记为已认证。 |
| <code>data.status.user.verified_type</code> | <code>integer</code> | 微博记录的账号认证数字类型。 |
| <code>data.status.user.verified_type_ext</code> | <code>integer</code> | 补充的账号认证数字分类。 |
| <code>data.status.user.verified_reason</code> | <code>string</code> | 账号展示的认证说明。 |
| <code>data.status.user.statuses_count</code> | <code>integer</code> | 该账号返回的发帖数。 |
| <code>data.status.user.follow_count</code> | <code>integer</code> | 微博返回的该账号关注数。 |
| <code>data.status.user.followers_count</code> | <code>string</code> | 以文本返回的粉丝数，可能采用缩写格式。 |
| <code>data.status.user.followers_count_str</code> | <code>string</code> | 用于展示的粉丝数文本。 |
| <code>data.status.user.following</code> | <code>boolean</code> | 当前查看账号是否标记为已关注作者。 |
| <code>data.status.user.follow_me</code> | <code>boolean</code> | 作者是否标记为已关注当前查看账号。 |
| <code>data.status.user.gender</code> | <code>string</code> | 公开资料记录的性别代码。 |
| <code>data.status.user.mbrank</code> | <code>integer</code> | 微博返回的会员等级。 |
| <code>data.status.user.urank</code> | <code>integer</code> | 微博返回的账号等级。 |
| <code>data.status.reposts_count</code> | <code>integer</code> | 微博返回的转发数。 |
| <code>data.status.comments_count</code> | <code>integer</code> | 微博返回的评论数。 |
| <code>data.status.attitudes_count</code> | <code>integer</code> | 微博返回的表态数。 |
| <code>data.status.favorites_count</code> | <code>integer</code> | 微博返回的收藏数。 |
| <code>data.status.pending_approval_count</code> | <code>integer</code> | 待审核评论数。 |
| <code>data.status.multi_attitude</code> | <code>array</code> | 按表态类型拆分的数据，存在时可用。 |
| <code>data.status.multi_attitude[]</code> | <code>object</code> | 单种表态的计数条目。 |
| <code>data.status.multi_attitude[].type</code> | <code>integer</code> | 表态类型的数字代码。 |
| <code>data.status.multi_attitude[].count</code> | <code>integer</code> | 该类型的表态数量。 |
| <code>data.status.most_attitude_type</code> | <code>integer</code> | 微博返回的最多表态类型的数字代码。 |
| <code>data.status.comment_manage_info</code> | <code>object</code> | 此帖返回的评论管理设置。 |
| <code>data.status.comment_manage_info.comment_permission_type</code> | <code>integer</code> | 评论权限的数字设置。 |
| <code>data.status.comment_manage_info.approval_comment_type</code> | <code>integer</code> | 评论审核的数字设置。 |
| <code>data.status.comment_manage_info.comment_sort_type</code> | <code>integer</code> | 评论排序的数字设置。 |
| <code>data.status.comment_manage_info.comment_anon_type</code> | <code>integer</code> | 匿名评论的数字设置。 |
| <code>data.status.forbid_bullet_screens</code> | <code>boolean</code> | 是否标记为禁用弹幕。 |
| <code>data.status.pic_num</code> | <code>integer</code> | 此帖返回的图片数量。 |
| <code>data.status.pic_ids</code> | <code>array</code> | 帖子附带的图片 ID 列表，可能为空。 |
| <code>data.status.pic_ids[]</code> | <code>string</code> | 微博图片 ID。 |
| <code>data.status.thumbnail_pic</code> | <code>string</code> | 返回时表示首张图片的缩略图地址。 |
| <code>data.status.bmiddle_pic</code> | <code>string</code> | 返回时表示首张图片的中等尺寸地址。 |
| <code>data.status.original_pic</code> | <code>string</code> | 微博原图字段中的地址，存在时可用。 |
| <code>data.status.pics</code> | <code>array</code> | 微博随帖子返回的图片详情，存在时可用。 |
| <code>data.status.pics[]</code> | <code>object</code> | 帖子附带的一张图片。 |
| <code>data.status.pics[].pid</code> | <code>string</code> | 微博图片 ID。 |
| <code>data.status.pics[].size</code> | <code>string</code> | 该图片版本的尺寸标签。 |
| <code>data.status.pics[].url</code> | <code>string</code> | 此图片版本的地址。 |
| <code>data.status.pics[].geo</code> | <code>object</code> | 图片尺寸及裁剪标记。 |
| <code>data.status.pics[].geo.width</code> | <code>integer</code> | 图片宽度，单位为像素。 |
| <code>data.status.pics[].geo.height</code> | <code>integer</code> | 图片高度，单位为像素。 |
| <code>data.status.pics[].geo.croped</code> | <code>boolean</code> | 微博是否将此图标记为已裁剪。 |
| <code>data.status.pics[].large</code> | <code>object</code> | 较大尺寸的图片版本，存在时可用。 |
| <code>data.status.pics[].large.url</code> | <code>string</code> | 较大尺寸图片版本的地址。 |
| <code>data.status.pics[].large.size</code> | <code>string</code> | 该图片版本的尺寸标签。 |
| <code>data.status.pics[].large.geo</code> | <code>object</code> | 图片尺寸及裁剪标记。 |
| <code>data.status.pics[].large.geo.width</code> | <code>string</code> | 以文本表示的图片宽度，单位为像素。 |
| <code>data.status.pics[].large.geo.height</code> | <code>string</code> | 以文本表示的图片高度，单位为像素。 |
| <code>data.status.pics[].large.geo.croped</code> | <code>boolean</code> | 微博是否将此图标记为已裁剪。 |
| <code>data.status.pic_focus_point</code> | <code>array</code> | 图片焦点区域列表，存在时可用。 |
| <code>data.status.pic_focus_point[]</code> | <code>object</code> | 关联一张图片的焦点区域。 |
| <code>data.status.pic_focus_point[].pic_id</code> | <code>string</code> | 微博图片 ID。 |
| <code>data.status.pic_focus_point[].focus_point</code> | <code>object</code> | 微博返回的焦点区域坐标与大小。 |
| <code>data.status.pic_focus_point[].focus_point.left</code> | <code>integer</code> | 焦点区域的左侧坐标。 |
| <code>data.status.pic_focus_point[].focus_point.top</code> | <code>integer</code> | 焦点区域的顶部坐标。 |
| <code>data.status.pic_focus_point[].focus_point.width</code> | <code>integer</code> | 焦点区域宽度。 |
| <code>data.status.pic_focus_point[].focus_point.height</code> | <code>number</code> | 焦点区域高度。 |
| <code>data.status.page_info</code> | <code>object</code> | 随帖子返回的内容卡片，例如话题或站内视频，存在时可用。 |
| <code>data.status.page_info.type</code> | <code>string</code> | 微博内容卡片的类型标签。 |
| <code>data.status.page_info.object_type</code> | <code>integer</code> | 微博记录的内容对象数字类型。 |
| <code>data.status.page_info.object_id</code> | <code>string</code> | 内容卡片关联的微博内容对象 ID。 |
| <code>data.status.page_info.page_title</code> | <code>string</code> | 内容卡片展示的标题。 |
| <code>data.status.page_info.title</code> | <code>string</code> | 内容卡片返回的标题字段，可能为空字符串。 |
| <code>data.status.page_info.content1</code> | <code>string</code> | 内容卡片返回的第一行文字。 |
| <code>data.status.page_info.content2</code> | <code>string</code> | 内容卡片返回的第二行文字。 |
| <code>data.status.page_info.page_pic</code> | <code>object</code> | 内容卡片的图片信息。 |
| <code>data.status.page_info.page_pic.pid</code> | <code>string</code> | 微博图片 ID。 |
| <code>data.status.page_info.page_pic.url</code> | <code>string</code> | 内容卡片的图片地址。 |
| <code>data.status.page_info.page_pic.width</code> | <code>string</code> | 以文本表示的图片宽度，单位为像素。 |
| <code>data.status.page_info.page_pic.height</code> | <code>string</code> | 以文本表示的图片高度，单位为像素。 |
| <code>data.status.page_info.video_orientation</code> | <code>string</code> | 微博返回的视频画面方向标签。 |
| <code>data.status.page_info.play_count</code> | <code>string</code> | 以展示文本表示的播放量，可能采用缩写格式。 |
| <code>data.status.page_info.media_info</code> | <code>object</code> | 站内视频的播放元数据，存在时可用。 |
| <code>data.status.page_info.media_info.duration</code> | <code>number</code> | 播放元数据返回的视频时长。 |
| <code>data.status.page_info.media_info.stream_url</code> | <code>string</code> | 微博返回的视频流地址。 |
| <code>data.status.page_info.media_info.stream_url_hd</code> | <code>string</code> | 微博返回的高清视频流地址。 |
| <code>data.status.page_info.urls</code> | <code>object</code> | 按格式区分的可用视频地址。 |
| <code>data.status.page_info.urls.mp4_hd_mp4</code> | <code>string</code> | 高清 MP4 地址，存在时可用。 |
| <code>data.status.page_info.urls.mp4_ld_mp4</code> | <code>string</code> | 较低清晰度的 MP4 地址，存在时可用。 |

</div>

## 响应示例

<ApiExampleSection :api='JSON.parse("\"/api/weibo/get-weibo-detail/v1\"")' />

